from ._palette import Palette
from . import _colors


DefoPalette = Palette(
    id="defo",
    author="Flat UI Colors",
    name="Flat UI Palette v1",
    emoji="🎨",
    emojis=["🤙", "🤘", "✌️", "👊"],
    colors=_colors.DefoColors,
)


NLPalette = Palette(
    id="nl",
    author="Jeroen Van Eerden",
    name="Dutch Palette",
    dribbble="jeroenvaneerden",
    url="https://bit.ly/33DmmPQ",
    emoji="🇳🇱",
    emojis=["🍟", "🚄", "🚲", "🧀"],
    colors=_colors.NLColors,
)

TRPalette = Palette(
    id="tr",
    author="Tamer Köseli",
    name="Turkish Palette",
    emoji="🇹🇷",
    dribbble="tamerkoseli",
    url="https://bit.ly/2SCIS5m",
    emojis=["🌰", "🥛", "🌷", "👨🏻"],
    colors=_colors.TRColors,
)

INPalette = Palette(
    id="in",
    author="Ranganath Krishnamani",
    name="Indian Palette",
    emoji="🇮🇳",
    dribbble="rkrishnamani",
    url="https://bit.ly/36WesU3",
    emojis=["🕉", "🐄", "🙏", "🍛"],
    colors=_colors.INColors,
)

SEPalette = Palette(
    id="se",
    author="Jesper Dahlqvist",
    name="Swedish Palette",
    emoji="🇸🇪",
    dribbble="yehsper",
    url="https://bit.ly/2GOcLwA",
    emojis=["🛡", "🌲", "🛳", "🥂"],
    colors=_colors.SEColors,
)

CAPalette = Palette(
    id="ca",
    author="Dmitri Litvinov",
    name="Canadian Palette",
    emoji="🇨🇦",
    dribbble="dmitrilitvinov",
    url="https://bit.ly/36I9aet",
    emojis=["🍁", "🏒", "🎿", "🏳️‍🌈"],
    colors=_colors.CAColors,
)

AUPalette = Palette(
    id="au",
    author="Kate Hoolahan",
    name="Aussie Palette",
    emoji="🇦🇺",
    dribbble="hoolah",
    url="https://bit.ly/36Hcy9p",
    emojis=["🕷", "🐨", "🍌", "🐊"],
    colors=_colors.AUColors,
)

RUPalette = Palette(
    id="ru",
    author="Alexander Zaytsev",
    name="Russian Palette",
    emoji="🇷🇺",
    dribbble="anwaltzzz",
    url="https://bit.ly/2SIvDzL",
    emojis=["❄️", "⛸", "🐻", "💂🏻‍♀️"],
    colors=_colors.RUColors,
)

FRPalette = Palette(
    id="fr",
    author="Léa Poisson",
    name="French Palette",
    emoji="🇫🇷",
    dribbble="goldfishlife",
    url="https://bit.ly/3iEo73B",
    emojis=["🍷", "💋", "🥖", "🏰"],
    colors=_colors.FRColors,
)

ESPalette = Palette(
    id="es",
    author="Miguel Camacho",
    name="Spanish Palette",
    emoji="🇪🇸",
    dribbble="miguelcm",
    url="https://bit.ly/2Ic3kYR",
    emojis=["💤", "🌞", "🏖", "💃🏻"],
    colors=_colors.ESColors,
)

DEPalette = Palette(
    id="de",
    author="Martin David",
    name="German Palette",
    emoji="🇩🇪",
    dribbble="srioz",
    url="https://bit.ly/3jUgAzj",
    emojis=["🍻", "🚘", "🎶", "⏱"],
    colors=_colors.DEColors,
)

CNPalette = Palette(
    id="cn",
    author="Wenjun",
    name="Chinese Palette",
    emoji="🇨🇳",
    dribbble="wenjunliao",
    url="https://bit.ly/3jGkAmB",
    emojis=["⛩", "🎆", "🏮", "🐼"],
    colors=_colors.CNColors,
)

USPalette = Palette(
    id="us",
    author="Kevin Yang",
    name="American Palette",
    emoji="🇺🇸",
    dribbble="eatsleepvector",
    url="https://bit.ly/2GOdjTa",
    emojis=["🏈", "🎷", "🗽", "🍅"],
    colors=_colors.USColors,
)

GBPalette = Palette(
    id="gb",
    author="Jan Losert",
    name="British Palette",
    emoji="🇬🇧",
    dribbble="janlosert",
    url="https://bit.ly/30HOqQ8",
    emojis=["☕️", "👨🏻‍🎤", "🌂", "💂🏼"],
    colors=_colors.GBColors,
)

SocialPalette = Palette(
    id="social",
    author="7Span",
    name="Social",
    url="https://materialui.co/socialcolors/",
    colors=_colors.SocialColors,
)

MetroPalette = Palette(
    id="metro",
    author="7Span",
    name="Metro",
    url="https://materialui.co/metrocolors",
    colors=_colors.MetroColors,
)

CSSPalette = Palette(
    id="css",
    author="bahamas10",
    name="CSS",
    url="https://github.com/bahamas10/css-color-names",
    colors=_colors.CSSColors,
)

TailwindPalette = Palette(
    id="tailwind",
    author="Steve Schoger",
    name="Tailwind",
    url="https://tailwindcolor.com/",
    colors=_colors.TailwindColors,
)

BootstrapPalette = Palette(
    id="bootstrap",
    author="Bootstrap team",
    name="Bootstrap",
    url="https://getbootstrap.com/docs/5.0/customize/color/",
    colors=_colors.BootstrapColors,
)
